/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for EchocardiographyMitralValve
 */
public enum EnumCV_EchocardiographyMitralValve 
{
	//CID 12207 Echocardiography Mitral Valve
	MITRAL_VALVE_A_WAVE_PEAK_VELOCITY_17978_8("17978-8"),
	MITRAL_VALVE_E_WAVE_PEAK_VELOCITY_18037_2("18037-2"),
	MITRAL_VALVE_E_TO_A_RATIO_18038_0("18038-0"),
	MITRAL_VALVE_AT_DT_RATIO_G_0386("G-0386"),
	MITRAL_VALVE_E_WAVE_DECELERATION_TIME_G_0384("G-0384"),
	MITRAL_VALVE_E_F_SLOPE_BY_M_MODE_18040_6("18040-6"),
	MITRAL_VALVE_EPSS_E_WAVE_18036_4("18036-4"),
	MITRAL_VALVE_A_WAVE_DURATION_G_0385("G-0385"),
	MITRAL_VALVE_DIASTOLIC_PEAK_INSTANTANEOUS_GRADIENT_18057_0("18057-0"),
	MITRAL_VALVE_CLOSURE_TO_OPENING_TIME_G_0387("G-0387"),
	MITRAL_REGURGITATION_DP_DT_DERIVED_FROM_MITRAL_REGURGITATION_VELOCITY_18035_6("18035-6");

	private String value;

	EnumCV_EchocardiographyMitralValve(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
